%define real_name yubikey-manager
%define debug_package %{nil}

Name:           python-yubikey-manager
Version:        3.1.1
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Summary:        Python package implementing YubiKey configuration management
URL:            https://github.com/Yubico/%{real_name}
Source0:        https://github.com/Yubico/%{real_name}/archive/%{real_name}-%{version}/%{real_name}-%{version}.tar.gz

%description
Python library and command line tool for configuring a YubiKey

%package -n python3-%{real_name}
Summary:        Python package implementing YubiKey configuration management
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  ykpers
BuildRequires:  swig
BuildRequires:  pkgconfig(libpcsclite)
Requires: 		pcsc-lite
Requires: 		ccid

%description -n python3-%{real_name}
Python library and command line tool for configuring a YubiKey

%prep
%setup -q -n %{real_name}-%{real_name}-%{version}

%build
%py3_build

%install
%py3_install
%if "%{?_lib}" == "lib64"
	mv %{buildroot}/usr/lib %{buildroot}/usr/lib64
%endif

%files -n python3-%{real_name}
%license COPYING
%doc README.adoc 
%{_bindir}/ykman
%{python3_sitearch}/*


%changelog
* Sat Oct 03 2020 bcornec <bcornec> 3.1.1-1.mga8
+ Revision: 1632081
- Import python-yubikey-manager
- Created package structure for python-yubikey-manager.

